3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php if(!0 && NULL != NULL) { print 'Will evaluate';} else { print 'will not evaluate'; }
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
will not evaluate